Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155210 - RFE - virtual provides with bytecode enabled
Summary: RFE - virtual provides with bytecode enabled
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 05:18 UTC by Michael A. Peters
Modified: 2009-03-28 03:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-26 03:09:59 UTC


Attachments (Terms of Use)

Description Michael A. Peters 2005-04-18 05:18:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
FontForge ( http://fontforge.sourceforge.net/ ) claims it needs the byte code interpreter enabled.

If when building the Fedora spec file with that support enabled, a virtual provides could be added - then a fontforge rpm could require the virtual provides, and thus yum/apt/whatever would not accidentally break fontforge during a routine update when a bugfix is pushed (as the dependency resolution should then prevent the custom built freetype from being replaced)

%if ! %{without_bytecode_interpreter}
Provides: %{name}-bytecode
%endif

(or something like that) should do it.

Version-Release number of selected component (if applicable):
freetype-2.1.9-2

How reproducible:
Always

Steps to Reproduce:
1. Not applicable
  

Actual Results:  Not Applicable

Expected Results:  Not Applicable

Additional info:

Comment 1 Behdad Esfahbod 2009-03-26 03:09:59 UTC
Built.

* Wed Mar 25 2009 Behdad Esfahbod <besfahbo@redhat.com> 2.3.9-2
- Add Provides: freetype-bytecode and freetype-subpixel if built
  with those options.
- Resolves: #155210

Comment 2 Kevin Kofler 2009-03-28 03:14:05 UTC
FYI, I also added these Provides to freetype-freeworld-2.3.9-2.fc11 in RPM Fusion.


Note You need to log in before you can comment on or make changes to this bug.